# NativeExecutableSpec

API Documentation: | `NativeExecutableSpec`

Note: This class is incubating and may change in a future version of Gradle.

Definition of a native executable component that is to be built by Gradle.

### Properties

Property | Description
`baseName` | Incubating The name that is used to construct the output file names when building this component.
`binaries` | Incubating The variants produced for this component spec.
`displayName` | Incubating Returns a human-consumable display name for this element.

### Methods

Method | Description
`targetBuildTypes(buildTypeSelectors)` | Incubating Specifies the names of one or more `BuildType`s that this component should be built for.
`targetFlavors(flavorSelectors)` | Incubating Specifies the names of one or more `Flavor`s that this component should be built for.
`targetPlatform(targetPlatform)` | Incubating Specifies a platform that this component should be built be for.

### Script blocks

No script blocks

### Property details

#### `String` `baseName`

Note: This property is incubating and may change in a future version of Gradle.

The name that is used to construct the output file names when building this component.

#### ``ModelMap`<`BinarySpec`>` `binaries` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The variants produced for this component spec.

#### `String` `displayName` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Returns a human-consumable display name for this element.

### Method details

#### `void` `targetBuildTypes`(``String`...` buildTypeSelectors)

Note: This method is incubating and may change in a future version of Gradle.

Specifies the names of one or more `BuildType`s that this component should be built for.

#### `void` `targetFlavors`(``String`...` flavorSelectors)

Note: This method is incubating and may change in a future version of Gradle.

Specifies the names of one or more `Flavor`s that this component should be built for.

#### `void` `targetPlatform`(`String` targetPlatform)

Note: This method is incubating and may change in a future version of Gradle.

Specifies a platform that this component should be built be for.